# Uses of Class
org.apache.lucene.codecs.uniformsplit.DeltaBaseTermStateSerializer

Packages that use DeltaBaseTermStateSerializer
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of DeltaBaseTermStateSerializer in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as DeltaBaseTermStateSerializer
  Modifier and Type
  Field
  Description
  `protected DeltaBaseTermStateSerializer`
  BlockReader.`termStateSerializer`
  `protected final DeltaBaseTermStateSerializer`
  BlockWriter.`termStateSerializer`
  Methods in org.apache.lucene.codecs.uniformsplit that return DeltaBaseTermStateSerializer
  Modifier and Type
  Method
  Description
  `protected DeltaBaseTermStateSerializer`
  BlockReader.`createDeltaBaseTermStateSerializer()`
  `protected DeltaBaseTermStateSerializer`
  BlockWriter.`createDeltaBaseTermStateSerializer()`
  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type DeltaBaseTermStateSerializer
  Modifier and Type
  Method
  Description
  `protected void`
  BlockLine.Serializer.`writeLineTermState(DataOutput termStatesOutput, BlockLine line, FieldInfo fieldInfo, DeltaBaseTermStateSerializer encoder)`
  Writes the term state details of a line in the details region.

- ## Uses of DeltaBaseTermStateSerializer in org.apache.lucene.codecs.uniformsplit.sharedterms

  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type DeltaBaseTermStateSerializer
  Modifier and Type
  Method
  Description
  `void`
  STBlockLine.Serializer.`readFieldTermStatesMap(DataInput termStatesInput, DeltaBaseTermStateSerializer termStateSerializer, BlockHeader blockHeader, FieldInfos fieldInfos, Map<String,BlockTermState> fieldTermStatesMap)`
  Reads all the `BlockTermState` of all the field in the current block line of the provided input.
  `BlockTermState`
  STBlockLine.Serializer.`readTermStateForField(int fieldId, DataInput termStatesInput, DeltaBaseTermStateSerializer termStateSerializer, BlockHeader blockHeader, FieldInfos fieldInfos, BlockTermState reuse)`
  Reads a single `BlockTermState` for the provided field in the current block line of the provided input.
  `void`
  STBlockLine.Serializer.`writeLineTermStates(DataOutput termStatesOutput, STBlockLine line, DeltaBaseTermStateSerializer encoder)`
  Writes all the `BlockTermState` of the provided `STBlockLine` to the given output.